=== debian/changelog ===
libthread-pool (1.0.0-2) unstable; urgency=medium

  * Do not build with -march=native
    Closes: #906618
  * Standards-Version: 4.2.0

 -- Andreas Tille <tille@debian.org>  Sun, 26 Aug 2018 14:56:11 +0200

libthread-pool (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #901207)

 -- Andreas Tille <tille@debian.org>  Sun, 10 Jun 2018 09:44:39 +0200
