=== debian/control ===
Source: libthread-pool
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               cmake,
               d-shlibs,
               rename,
               libgtest-dev
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/med-team/libthread-pool
Vcs-Git: https://salsa.debian.org/med-team/libthread-pool.git
Homepage: https://github.com/rvaser/libthread-pool

Package: libthread-pool0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: C++ thread pool library
 A thread pool is a software design pattern for achieving concurrency of
 execution in a computer program. Often also called a replicated workers
 or worker-crew model,[1] a thread pool maintains multiple threads
 waiting for tasks to be allocated for concurrent execution by the
 supervising program.
 .
 This package contains a shared library with a thread pool
 implementation.

Package: libthread-pool-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libthread-pool0 (= ${binary:Version})
Description: C++ thread pool library (devel)
 A thread pool is a software design pattern for achieving concurrency of
 execution in a computer program. Often also called a replicated workers
 or worker-crew model,[1] a thread pool maintains multiple threads
 waiting for tasks to be allocated for concurrent execution by the
 supervising program.
 .
 This package contains the static library and the header files.
