=== debian/changelog ===
libthread-pool (2.0.1-4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:18:33 +0100

libthread-pool (2.0.1-4) unstable; urgency=medium

  * Test-Depends: build-essential

 -- Andreas Tille <tille@debian.org>  Tue, 19 Nov 2019 21:52:39 +0100

libthread-pool (2.0.1-3) unstable; urgency=medium

  * Test-Depends: cmake

 -- Andreas Tille <tille@debian.org>  Tue, 19 Nov 2019 07:13:35 +0100

libthread-pool (2.0.1-2) unstable; urgency=medium

  * Fix build on i386
  * Provide symbols for amd64 only
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Mon, 18 Nov 2019 18:46:39 +0100

libthread-pool (2.0.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 17 Sep 2019 22:18:26 +0200

libthread-pool (1.0.0-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTBFS with nocheck profile: Unconditionally build-depend on
    googletest. (Closes: #939519)

  [ Andreas Tille ]
  * Remove obsolete fields Name from debian/upstream/metadata.

 -- Andreas Tille <tille@debian.org>  Mon, 09 Sep 2019 13:58:23 +0200

libthread-pool (1.0.0-3) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Add missing '-pthread'
  * Remove trailing whitespace in debian/copyright
  * Update homepage URL.
  * Build the included tests and run them
  * As an autopkgtest, build the tests against the installed package and run
    them.

  [ Andreas Tille ]
  * Rebuild for new version of gcc to fix symbols
    Closes: #925761
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Set upstream metadata fields: Name.

 -- Andreas Tille <tille@debian.org>  Wed, 21 Aug 2019 11:19:44 +0200
