=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                cmake,
                d-shlibs,
                rename,
-               libgtest-dev
-Standards-Version: 4.2.0
+               googletest
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/libthread-pool
 Vcs-Git: https://salsa.debian.org/med-team/libthread-pool.git
-Homepage: https://github.com/rvaser/libthread-pool
+Homepage: https://github.com/rvaser/thread_pool
 
 Package: libthread-pool0
 Architecture: any
@@ -31,8 +31,7 @@
 Package: libthread-pool-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
+Depends: ${misc:Depends},
          libthread-pool0 (= ${binary:Version})
 Description: C++ thread pool library (devel)
  A thread pool is a software design pattern for achieving concurrency of
