=== debian/watch ===
version=4

https://github.com/rvaser/thread_pool/releases .*/archive/@ANY_VERSION@@ARCHIVE_EXT@
