=== debian/changelog ===
libthread-pool (2.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * removed "no -marchive" patch that was adopted upstream

 -- Steffen Moeller <moeller@debian.org>  Thu, 30 Apr 2020 22:33:29 +0200
