=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                d-shlibs,
                rename,
                googletest
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/libthread-pool
 Vcs-Git: https://salsa.debian.org/med-team/libthread-pool.git
 Homepage: https://github.com/rvaser/thread_pool
