=== debian/changelog ===
libthread-pool (3.0.2-1) unstable; urgency=medium

  * Team upload.
  * debian/watch: Uniquely rename the archives download from GitHub.
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Library is header-only now.
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * debian/rules: no more vendor directory
  * build-dep on libgtest-dev so that cmake can find it

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 18 Jan 2021 16:58:37 +0100
