=== debian/control ===
Source: libthread-pool
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               d-shlibs,
               rename,
               libgtest-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/libthread-pool
Vcs-Git: https://salsa.debian.org/med-team/libthread-pool.git
Homepage: https://github.com/rvaser/thread_pool
Rules-Requires-Root: no

Package: libthread-pool-dev
Architecture: all
Section: libdevel
Depends: ${misc:Depends}
Description: C++ header-only thread pool library (devel)
 A thread pool is a software design pattern for achieving concurrency of
 execution in a computer program. Often also called a replicated workers
 or worker-crew model,[1] a thread pool maintains multiple threads
 waiting for tasks to be allocated for concurrent execution by the
 supervising program.
