=== debian/changelog ===
libthread-pool (4.0.0-3) unstable; urgency=medium

  * Team upload.
  * d/t/CMakeLists.txt: bump cmake required to 3.10. (Closes: #1116510)
  * d/watch: convert to v5 Github template.
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: drop redundant Rules-Requires-Root: no.

 -- Étienne Mollier <emollier@debian.org>  Wed, 15 Oct 2025 22:16:59 +0200

libthread-pool (4.0.0-2) unstable; urgency=medium

  * Upload to unstable
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 13 Feb 2024 08:13:54 +0100

libthread-pool (4.0.0-2~exp) experimental; urgency=medium

  [ Vladimir Petko ]
  * Use size_t type for max() comparison
    Closes: #1032532 (LP: #2009537)

 -- Andreas Tille <tille@debian.org>  Thu, 09 Mar 2023 11:14:22 +0100

libthread-pool (4.0.0-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * New upstream version 4.0.0
  * d/control: Change architecture to any, since
    it now installs arch-dependent .cmake files

  [ Andreas Tille ]
  * Standards-Version: 4.6.1 (routine-update)
  * Fix watch file
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove Multi-Arch: foreign

 -- Andreas Tille <tille@debian.org>  Thu, 29 Sep 2022 14:31:47 +0200
