=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_LDFLAGS_MAINT_APPEND+=-pthread

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dthread_pool_build_tests=ON

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	./obj-*/bin/thread_pool_test
endif
